import {
	WeaTools
} from 'ecCom'

export const getHasRight = (params) => {
	return WeaTools.callApi('/api/kq/balanceofleaverp/getHasRight', 'GET', params);
}

export const getRightMenu = (params) => {
	return WeaTools.callApi('/api/kq/balanceofleaverp/getRightMenu', 'GET', params);
}

export const getSearchCondition = (params) => {
	return WeaTools.callApi('/api/kq/balanceofleaverp/getSearchCondition', 'GET', params);
}

export const getSearchList = (params) => {
	return WeaTools.callApi('/api/kq/balanceofleaverp/getSearchList', 'GET', params);
}

export const getPageInfo = (params) => {
	return WeaTools.callApi('/api/kq/balanceofleaverp/getPageInfo', 'GET', params);
}

export const getTab = (params) => {
	return WeaTools.callApi('/api/kq/balanceofleaverp/getTab', 'GET', params);
}

export const getDetailPageInfo = (params) => {
	return WeaTools.callApi('/api/kq/balanceofleaverp/getDetailPageInfo', 'GET', params);
}

export const getUsageRecordDetail = (params) => {
	return WeaTools.callApi('/api/kq/balanceofleaverp/getUsageRecordDetail', 'GET', params);
}

export const getChangeType = (params) => {
	return WeaTools.callApi('/api/kq/balanceofleaverp/getChangeType', 'GET', params);
}

export const exportExcel = (params) => {
	return WeaTools.callApi('/api/kq/balanceofleaverp/exportExcel', 'POST', params);
}